(function() {
  var vm = new Vue({
    el: "body",
    data: {
      job: {
        title: null
      },
      name: "",
      sex: null,
      age: null,
      phone: null,
      job_disabled: false,
      submit_disabled: true,
      sexPicker: null,
      sexSolgan: "请选择性别"
    },
    methods: {
      chooseSex: function() {
        if (!this.sexPicker) return;
        var self = this;
        this.sexPicker.show(function(items) {
          self.sex = items[0].value;
          self.sexSolgan = items[0].text;
        });
      },
      checkEnroll: function() {
        if (!!this.age && !parseInt(this.age)) {
          mui.toast("年龄项请填写数字");
          return this.submit_disabled = false;
        }
        this.submit_disabled = !(!!this.name && !!this.age && !!this.phone && !!this.sex);
        // alert(this.name+","+this.age+","+this.phone+","+this.sex);
      },
      submitEnroll: function() {
        var self = this;
        _callAjax({
          cmd: "exec",
          sql: "insert into enrolls(name,sex,age,jobId,phone) values('" +
            self.name+"', '"+self.sex+"', "+self.age+", "+self.job.id+",'"+self.phone+"')"
        }, function(d) {
          mui.toast("应聘信息提交成功");
          mui.back();
        });
      }
    },
    watch: {
      "job.title": function(n) {
        if (!!n) {
          this.job_disabled = true;
        }
      }
    }
  });

  mui.plusReady(function() {
    vm.job = plus.webview.currentWebview().job;
    ["name", "sex", "age", "phone"].forEach(function(k) {
      vm.$watch(k, vm.checkEnroll);
    });

    // 读取用户电话号码
    var p = plus.storage.getItem("phone");
    if (!!p) vm.phone = p;

    vm.sexPicker = new mui.PopPicker();
    vm.sexPicker.setData([{
			value: 'male',
			text: '男'
		}, {
			value: 'female',
			text: '女'
		}]);
  });

}());
