(function() {
  var vm = new Vue({
    el: "body",
    data: {
      record: null,
      feedback: {
        content: "",
        ranking: 2
      }
    },
    methods: {
      submitFeedback: function() {
        var content = _trim(this.feedback.content);
        if (!content) return mui.toast("请填写反馈信息");
        if (!this.feedback.ranking) return mui.toast("请打分");
        var self = this;
        _callAjax({
          cmd: "transaction",
          sqls: JSON.stringify([
            "insert into feedbacks(content, recordId, ranking) values('"
            +content +"', "+self.record.id+", "+self.feedback.ranking+")",
            "update repairRecord set status = 2 where id = "+self.record.id
          ])
        }, function(d) {
          if (!d.success) return mui.toast("反馈失败");
          mui.toast("返回成功");
          mui.fire(plus.webview.getWebviewById("record.html"), "fetchRecords", null);
          mui.back();
        });
      }
    }
  });

  mui.plusReady(function() {
    vm.record = plus.webview.currentWebview().record;

    // var modules = JSON.parse(plus.storage.getItem("modules"));

    _callAjax({
      cmd: "fetch",
      sql: "select content, ranking from feedbacks where recordId = "+vm.record.id
    }, function(d) {
      if (!d.success || !d.data) return;
      vm.feedback = d.data[0];
    });
  });
}());
