(function() {
	// -- 部署到海洋云上
	var pay_url = "http://www.xinlantech.com/pay/index.php";
	
	var week = ['周日','周一','周二','周三','周四','周五','周六'];
	var d = new Date();
	var day = d.getDay();
	for(var i = 0;i < 7;i++){
		day = day + i;
		console.log(day)
		$('.service-week').append('<div>' + week[day]+ '<p>07-21</p></div>')
	}


	var vm = new Vue({
		el: "body",
		data: {
			location: "",
			serviceType: "per-hour", // per-opnth
			repairer: "服务人员选择",
			repairTime: null,
			repairerPicker: null,
			repairerIdChoosed: -1,
			service: -1,
			area: null,
			hours: null,
			months: null,
			paySolgan: "请填写完整信息",
			hint: "按小时",
			price: 0,
			// -- pay
			develop_id: "rxyjz",
			app_id: "",
			channel: null,
		},
		methods: {
			createOrder: function() {
				if(!this.price) return;
				var self = this;
				_payAjax({}, function(d) {
					if(!d.success || !d.data) return;
					/*
					xlpay(pay_url+"pay", self.app_id, self.develop_id,
					    d.data, self.price, ['alipay'], addr+"/record.html", self.service.serviceUrl);
					    */
					var params = {
						total: self.price,
						show_url: "http://115.231.121.138:10009/record.html", // self.service.serviceUrl,
						notify_url: "http://115.231.121.138:10009/record.html",
						order_no: d.data
					};
					var appendix = _map(Object.keys(params), function(k) {
						return k + "=" + params[k];
					});
					mui_pay(
						self.channel,
						encodeURI(pay_url + "?" + appendix.join("&")),
						function() {
							_callAjax({
								cmd: "transactions",
								sqls: [
									"insert into record(order_no, amount, if_success) " +
									"values('" + d.data + "', " + self.price + ", 1)",
									"insert into repairRecord(userPhone, repairerId, address, content, serviceId, price)" +
									"values('" + plus.storage.getItem("phone") + "', " + self.repairerIdChoosed + ", '" +
									self.address + "', '', " + self.service.id + ", " + self.price + ")"
								]
							}, function(d) {
								mui.toast("支付成功");
								_openWindow("record", "record.html");
							});
						},
						function() {
							mui.toast("支付失败");
						}
					);
				})
			},
			chooseTime: function() {
//				var self = this
//				plus.nativeUI.pickDate(function(e) {
//					var d = e.date;
//					plus.nativeUI.pickTime(function(e) {
//						var t = e.date;
//						self.repairTime = d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate() + ' ' + t.getHours() + ":" + t.getMinutes();
//					}, function(e) {
//						mui.toast('请选择上门服务时间');
//					});
//				}, function(e) {
//					mui.toast('请选择上门服务时间');
//				});
				$('.service-time').toggle();
				$('.service-ok,.service-close').on('click',function(){$('.service-time').hide();});
				$('.service-week div').on('click',function(){
					$(this).addClass('active').siblings().removeClass('active');
				})
				$('.service-clock div').on('click',function(){
					$(this).toggleClass('active');
				})
			},
			toggleSwitch: function(evt) {
				if(evt.detail.isActive) {
					this.serviceType = "first";
					this.hint = "新屋首次";
				} else {
					this.serviceType = "per-hour";
					this.hint = "按小时";
				}
			},
			chooseType: function() {
				if(this.serviceType == "per-hour") {
					this.serviceType = "per-month";
					this.hint = "按月";
				} else {
					this.serviceType = "per-hour";
					this.hint = "按小时";
				}
			},
			chooseRepairer: function() {
				if(!this.repairerPicker) return;
				var self = this;
				this.repairerPicker.show(function(items) {
					self.repairer = items[0].text;
					self.repairerIdChoosed = items[0].value;
				});
			},
			initPay: function() {
				this.price = 0;
				this.paySolgan = "请填写完整信息";
			},
			checkParams: function(n) {
				if(this.serviceType == "per-hour") {
					if(!this.hours || !parseInt(this.hours)) {
						// 小时数非数字或者为0
						return this.initPay();
					}
				} else if(this.serviceType == "per-month") {
					if(!this.months || !parseInt(this.months)) {
						// 月份非数字或者0
						return this.initPay();
					}
					if(!this.area || !parseInt(this.area)) {
						// 面积非数字或者0
						return this.initPay();;
					}
				} else if(this.serviceType == "first") {
					if(!this.area || !parseInt(this.area)) {
						// 面积非数字或者0
						return this.initPay();;
					}
				}
				if(this.repairerIdChoosed < 0) {
					// 未选择维修人员
					return this.initPay();;
				}
				if(!this.repairTime) {
					// 没有选择上门时间
					return this.initPay();;
				}
				if(!this.location) {
					// 没有设置地点
					return this.initPay();;
				}
				var price = 0;
				if(this.serviceType == "per-hour") {
					price = parseInt(this.hours) * 40;
				} else if(this.serviceType == "per-month") {
					price = parseInt(this.months) * (this.area < 100 ? 100 : this.area) * 4 * 4;
				} else if(this.serviceType == "first") {
					price = (this.area < 100 ? 100 : this.area) * 6;
				}
				this.price = price;
				plus.storage.setItem("location", this.location);
				this.paySolgan = "支付 " + price + "元";
			}
		}
	});

	mui.plusReady(function() {
		
		// 重载back，防止循环
		mui.back = function() {
			var cur = plus.webview.currentWebview();
			var parent = cur.opener();
			_openWindow(parent.id);
			cur.close();
		};

		// 获取支付渠道
		plus.payment.getChannels(function(channels) {
			channels.forEach(function(r) {
				if(r.id == "alipay") {
					vm.channel = r;
				}
			})
		}, function(e) {
			mui.toast("无法获取支付渠道");
		});

		// 监视检查计费参数
		[
			"serviceType", "location", "hours", "repairTime",
			"months", "area", "repairerIdChoosed"
		].forEach(function(k) {
			vm.$watch(k, vm.checkParams);
		})

		vm.service = plus.webview.currentWebview().service;

		var loc = plus.storage.getItem("location");
		if(!!loc) {
			vm.location = loc;
		}

		vm.repairerPicker = new mui.PopPicker();
		_callAjax({
			cmd: "fetch",
			sql: "select * from repairerInfo where housekeepId = " + vm.service.id
		}, function(d) {
			if(d.success && d.data && d.data.length) {
				var data = [];
				d.data.forEach(function(r) {
					data.push({
						text: r.name + " " + r.title,
						value: r.id
					});
				});
				vm.repairerPicker.setData(data);
			}
		});

		_callAjax({
			cmd: "fetch",
			sql: "select * from apps where develop_id = '" + vm.develop_id + "'"
		}, function(d) {
			if(!d.success || !d.data) return;
			vm.app_id = d.data[0].app_id;
		})
	});
}());