
var is_test = false,
	test_addr = "http://127.0.0.1:10000/",
	app_addr = "http://develop.wifizs.cn:11017/"; // not sure

var addr = is_test?test_addr:app_addr,
	_callAjax = _genCallAjax(addr+"db4web"),
	_smsAjax = _genCallAjax("http://develop.zsgd.com:7071/sms/");


var test_pay_url = "http://127.0.0.1:10000/",
	app_pay_url = "http://develop.wifizs.cn:11017/",
	pay_url = is_test?test_pay_url:app_pay_url,
	_payAjax = _genCallAjax(pay_url+"order");

var news_limit = 10;

var mui_pay = function(channel, url, successCb, failCb) {
	var xhr = new XMLHttpRequest();
	xhr.onreadystatechange = function() {
		switch(xhr.readyState) {
			case 4:
			if (xhr.status == 200) {
				plus.payment.request(
					channel,
					xhr.responseText,
					function(result) {
						// mui.alert(JSON.stringify(result));
						successCb()
						// mui.alert("支付成功");
					},
					function(err) {
						// mui.alert("支付失败");
						// mui.alert(JSON.stringify(err));
						failCb();
					}
				)
			} else {
				// mui.alert("获取订单失败");
				failCb();
			}
			break;
			default:
			break;
		}
	}
	xhr.open('GET', url);
	xhr.send();
};

var _openWindow = function (id, url, extras) {
	if (!!url && !!extras) {
		mui.openWindow({
			url: url,
			id: id,
			show: {
				aniShow: 'pop-in'
			},
			extras: extras
		});
	} else if (!!url) {
		mui.openWindow({
			url: url,
			id: id,
			show: {
				aniShow: 'pop-in'
			}
		});
	} else {
		mui.openWindow({
			id: id,
			show: {
				aniShow: 'pop-in'
			}
		});
	}
};

var _uploadImg = function (url, key, f, cb, rename) {
	var task = plus.uploader.createUpload(
		url, { method: "post" }, cb);
	task.addFile(f, {key: key});
	if (!!rename) {
		task.addData("rename", rename)
	}
	task.start();
}

var _zipName = function (file) {
	var fileEles = file.split(".");
	if (fileEles.length > 2) {
		var _t = fileEles.pop();
		fileEles = [fileEles.join(""), _t];
	}
	return fileEles[0]+"_zip."+fileEles[1];
}

var _zipImg = function (file, zipfile, zipPercent, quality, cbSuccess, cbError) {
	plus.zip.compressImage({
		"src": file,
		"dst": zipfile,
		"overwrite": true,
		"width": (zipPercent*100)+"%",
		"quality":	quality*100
	}, function() {
		cbSuccess(zipfile);
	}, cbError);
};

var _getMonthAndDay = function(dt) {
	var m = ""+(dt.getMonth()+1),
		d = ""+dt.getDate();
	if (m.length == 1) m = "0"+m;
	if (d.length == 1) d = "0"+d;
	return m+"."+d;
};

var _getWeekDay = function(dt) {
	var week = ['周日','周一','周二','周三','周四','周五','周六'];
	return week[dt.getDay()];
};

var _oneWeek = function() {
	var d = new Date(),
		ret = [{
			date: _getMonthAndDay(d),
			day: _getWeekDay(d),
			ifChosen: false
		}],
		i = 1;
	while(i <= 6) {
		d.setDate(d.getDate()+1);
		ret.push({
			date: _getMonthAndDay(d),
			day: _getWeekDay(d),
			ifChosen: false
		});
		i += 1;
	}
	return ret;
}
