(function() {
  var vm = new Vue({
    el: "body",
    data: {
      name: "",
      phone: "",
      userCode: "",
      password: "",
      code: null,
      if_sms: true,
      sms_slogan: "获取验证码"
    },
    methods: {
      signup: function() {
        var name = _trim(this.name),
          password = _trim(this.password),
          phone = _trim(this.phone);
        if (!this.code) return mui.toast("未获取验证码！");
        if (this.code != this.userCode) return mui.toast("验证码错误");
        if (!name) return mui.toast("请填写姓名");
        if (!phone) return mui.toast("请填写手机号码");
        if (!password) return mui.toast("请填写密码");

        _callAjax({
          cmd: "exec",
          sql: "insert into userInfo(name, password, phone) values('"+name+"', '"+password+"', '"+phone+"')"
        }, function(d) {
          if (!d.success) return mui.toast("注册失败");
          /*
          mui.fire(plus.webview.getWebviewById("signin"), "addUser", {
            phone: phone
          });
          */
          plus.storage.setItem("phone", phone);
          plus.storage.setItem("name", name);
          mui.fire(
            plus.webview.getWebviewById("home.html"),
            "updateIfLogin", {
              if_login: true
            }
          );
          // 重新获取家政记录
          mui.fire(plus.webview.getWebviewById("record.html"), "fetchRecords", null);
          mui.back();
        });
      },
      getCode: function() {
        if (!this.if_sms) return;

        var self = this;
        if (!_trim(self.phone)) return mui.toast("请填写手机号码！");

        _smsAjax({
          cmd: "sms",
          phone: self.phone
        }, function(d) {
          if (!d.success) return mui.toast("短信发送失败");
          self.code = d.data.code;
          mui.toast("发送短信成功，请查收");
          self.if_sms = false;
          self.sms_slogan = "已发送";
        });
      }
    }
  });


  mui.plusReady(function() {
    mui.back = function() {
      var cur = plus.webview.currentWebview();
      var parent = cur.opener();
      // _openWindow(parent.id);
      plus.webview.getWebviewById(parent.id).close();
      cur.close();
      mui.show(plus.webview.getWebviewById(plus.runtime.appid));
    };
  });
}());
